GuideLab API

Create Expense

POST
/finances/expenses

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Header Parameters

idempotency-key*string

Stable key reused only when retrying the exact same command body

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/finances/expenses" \  -H "idempotency-key: stringst" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string",    "description": "string",    "originalAmount": "string",    "originalCurrency": "GBP",    "occurredOn": "string"  }'
Empty
{  "data": {    "id": "string",    "labId": "string",    "categoryId": "string",    "description": "string",    "originalAmount": "string",    "originalCurrency": "string",    "reportingAmount": "string",    "reportingCurrency": "string",    "status": "string",    "occurredOn": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty
Empty